Extended Account Entries
curl --request GET \ --url 'https://api.ztlpay.io/api/v2/accounts/example/entries/extended?fromDate=2025-01-01&toDate=2025-01-02' \ --header 'Authorization: Bearer <token>' \ --header 'PSU-IP-Address: 192.158.1.38' \ --header 'PSU-User-Agent: Mozilla/5.0 (Windows NT 10.0; …) Gecko/20100101 Firefox/63.0' \ --header 'consent-id: 3a797348-ef0c-4f52-b821-fdfcdb98c4d9'Retrieve the latest transaction entries on the account, enriched with available transaction details. Detail enrichment is best-effort and support varies by bank. The maximum date range supported varies with banks, see Supported Banks-endpoint to retrieve the specific banks max date range.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The ID of the account, as retrieved from the list of accounts. The account ID is sometimes the same as the account bban, but this is not always the case. Also, the account ID may change each time a consent is created/refreshed.
Header Parameters
Section titled “Header Parameters”Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9A valid consentId
Example
192.158.1.38AAA IP Address of the end-user initiating the payment. DO NOT use any other IP address than what you can collect from the current user session that uses your system (don’t use something stored in your DB). This information is used by the banks to manage traffic and handle security.
The forwarded Agent header field of the HTTP request between PSU and TPP.
Example
Mozilla/5.0 (Windows NT 10.0; …) Gecko/20100101 Firefox/63.0Query Parameters
Section titled “Query Parameters”Entries start date, inclusive
Example
2025-01-01Entries end date, inclusive
Example
2025-01-02Responses
Section titled “Responses”Successfully retrieved enriched entries
object
object
Unique Identifier for entry provided by ASPSP
Amount for transaction
object
The monetary amount, two decimals, max value 999999999999.99, always positive
The currency of the transaction
Posting type
Status of the posting
Purpose of transfer.
Remittance information
object
object
Name of the account holder
Account number in BBAN format
Account number in IBAN format
object
Name of the account holder
Account number in BBAN format
Account number in IBAN format
Example
{ "accountEntries": [ { "transactionId": "d1f669f2-1234-abcd-aabb-ff0cc229b485", "postedAmount": { "amount": 99.5, "currency": "NOK" }, "type": "Debit", "status": "Pending", "bookingDateTime": "2025-01-02", "valueDateTime": "2025-01-01", "purposeText": "Overføring Innland", "remittanceInformation": { "reference": 75025049, "unstructured": "Transfer of funds" }, "creditor": { "bban": 12043175449, "iban": "NO0812043175449" }, "debtor": { "bban": 12043175449, "iban": "NO0812043175449" } } ]}Bad Request
object
INVALID_CONSENTConsent is invalidINVALID_ACCOUNTAccount is either missing or invalidACCESS_DENIEDPSU is not allowed to access resource
Unique RequestId, please provide this Id in case of support requests
The underlying reason for the error
Example
{ "failure": "INVALID_CONSENT", "ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9", "message": "Invalid account"}Headers
Section titled “Headers”Unique RequestId, please provide this Id in case of support requests
Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9Forbidden
object
INACTIVE_SUBSCRIPTIONThe company does not have an active subscription to ZTL’s services
Unique RequestId, please provide this Id in case of support requests
The underlying reason for the error
Example
{ "failure": "INACTIVE_SUBSCRIPTION", "ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9"}Headers
Section titled “Headers”Unique RequestId, please provide this Id in case of support requests
Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9Not found
object
Unique RequestId, please provide this Id in case of support requests
The underlying reason for the error
Example
{ "ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9", "message": "Invalid account"}Headers
Section titled “Headers”Unique RequestId, please provide this Id in case of support requests
Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9Conflict
object
Unique RequestId, please provide this Id in case of support requests
The underlying reason for the error
Example
{ "ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9", "message": "Invalid account"}Headers
Section titled “Headers”Unique RequestId, please provide this Id in case of support requests
Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9Internal server error
object
Unique RequestId, please provide this Id in case of support requests
The underlying reason for the error
Example
{ "ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9", "message": "Invalid account"}Headers
Section titled “Headers”Unique RequestId, please provide this Id in case of support requests
Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9Service unavailable
object
Unique RequestId, please provide this Id in case of support requests
The underlying reason for the error
Example
{ "ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9", "message": "Invalid account"}Headers
Section titled “Headers”Unique RequestId, please provide this Id in case of support requests
Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9